# Use K-cross function to explore interaction among placenames and
# to perform 95% Monte Carlo test as described in Section 5.2 of Zanella (2014)

directory<-''#address of the folder were the R files are stored (if it is not the home directory)

#### PARAMETERS OF THE STRAUSS POINT-PROCESS NULL HYPOTHESIS #####
########  DESCRIBED IN SUPPLEMENT D OF Zanella (2014)  ###########
###
R   <- 10
gamma <- 1#setting gamma to 1 is equivalent to using the poisson point process null hypothesis

## DO THE ANALYSIS FIRST FOR THE FULL DATASET (ALL 20 PLACENAMES) AND THEN #########
## FOR THE REDUCED DATASET (13 PLACENAMES INDICATED BY THE HISTORIANS)  ###########
###
included<-c(1:20)
source(paste(directory,'Perform_test.R',sep=''))
env.full.dataset<-env.centred
included<-c(1,4,6,9,10,11,12,14,15,16,17,19,20)
source(paste(directory,'Perform_test.R',sep=''))
env.sel.dataset<-env.centred

#####  PLOT RESULTS  #########
###
par(mfrow=c(1,2),cex=1,cex.lab=1.3,cex.axis=1.3,cex.main=1.5)
par(mar=c(3.3,4,2.8,2))
par(mgp=c(2.2,0.6,0))
ylim=c(-.5,1.5);xlim=c(0,r_max+0.2)
plot(env.full.dataset,ylim=ylim,xlim=xlim,legend="",
     xlab="r [km]",ylab="Centered L-cross function",
     main="Envelopes and deviation test\n for the full Dataset")
lines(c(0,r_max),c(0,0),col="gray")
lines(c(0,r_max),c(0,0),lty=3)
lines(c(0,r_max),c(max(env.full.dataset$hi[which(env.full.dataset$r<r_max)]),max(env.full.dataset$hi[which(env.full.dataset$r<r_max)])),lty=2,col=2)
plot(env.sel.dataset,ylim=ylim,xlim=xlim,legend="",
     xlab="r [km]",ylab="Centered L-cross function",
     main="Envelopes and deviation test\n for the reduced Dataset")
lines(c(0,r_max),c(0,0),col="gray")
lines(c(0,r_max),c(0,0),lty=3)
lines(c(0,r_max),c(max(env.sel.dataset$hi[which(env.sel.dataset$r<r_max)]),max(env.sel.dataset$hi[which(env.sel.dataset$r<r_max)])),lty=2,col=2)
par(mfrow=c(1,1))